Bug 1312258 - [abrt] libgnomekbd: xkl_engine_constructor(): gkbd-keyboard-display killed by SIGSEGV
[abrt] libgnomekbd: xkl_engine_constructor(): gkbd-keyboard-display killed by...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: libgnomekbd (Show other bugs)
25
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:f63e3a62f01d9df716c532b3932...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-26 04:10 EST by Han Han
Modified: 2017-12-12 06:03 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-12 06:03:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (24.30 KB, text/plain)
2016-02-26 04:11 EST, Han Han
no flags Details
File: cgroup (242 bytes, text/plain)
2016-02-26 04:11 EST, Han Han
no flags Details
File: core_backtrace (2.01 KB, text/plain)
2016-02-26 04:11 EST, Han Han
no flags Details
File: dso_list (8.06 KB, text/plain)
2016-02-26 04:11 EST, Han Han
no flags Details
File: environ (1.06 KB, text/plain)
2016-02-26 04:11 EST, Han Han
no flags Details
File: exploitable (82 bytes, text/plain)
2016-02-26 04:11 EST, Han Han
no flags Details
File: limits (1.29 KB, text/plain)
2016-02-26 04:11 EST, Han Han
no flags Details
File: maps (37.47 KB, text/plain)
2016-02-26 04:11 EST, Han Han
no flags Details
File: mountinfo (3.45 KB, text/plain)
2016-02-26 04:11 EST, Han Han
no flags Details
File: namespaces (85 bytes, text/plain)
2016-02-26 04:11 EST, Han Han
no flags Details
File: open_fds (830 bytes, text/plain)
2016-02-26 04:11 EST, Han Han
no flags Details
File: proc_pid_status (1.10 KB, text/plain)
2016-02-26 04:11 EST, Han Han
no flags Details
File: var_log_messages (28 bytes, text/plain)
2016-02-26 04:11 EST, Han Han
no flags Details

  None (edit)
Description Han Han 2016-02-26 04:10:51 EST
Description of problem:


Version-Release number of selected component:
libgnomekbd-3.6.0-9.fc24

Additional info:
reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        gkbd-keyboard-display -l us
crash_function: xkl_engine_constructor
executable:     /usr/bin/gkbd-keyboard-display
global_pid:     15257
kernel:         4.5.0-0.rc5.git0.1.fc24.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (5 frames)
 #0 xkl_engine_constructor at xklavier.c:669
 #1 g_object_new_with_custom_constructor at gobject.c:1699
 #2 g_object_new_internal at gobject.c:1779
 #3 g_object_new_valist at gobject.c:2040
 #5 xkl_engine_get_instance at xklavier.c:231

Potential duplicate: bug 1304569
Comment 1 Han Han 2016-02-26 04:11:00 EST
Created attachment 1130791 [details]
File: backtrace
Comment 2 Han Han 2016-02-26 04:11:05 EST
Created attachment 1130792 [details]
File: cgroup
Comment 3 Han Han 2016-02-26 04:11:09 EST
Created attachment 1130793 [details]
File: core_backtrace
Comment 4 Han Han 2016-02-26 04:11:14 EST
Created attachment 1130794 [details]
File: dso_list
Comment 5 Han Han 2016-02-26 04:11:18 EST
Created attachment 1130795 [details]
File: environ
Comment 6 Han Han 2016-02-26 04:11:25 EST
Created attachment 1130796 [details]
File: exploitable
Comment 7 Han Han 2016-02-26 04:11:28 EST
Created attachment 1130797 [details]
File: limits
Comment 8 Han Han 2016-02-26 04:11:33 EST
Created attachment 1130798 [details]
File: maps
Comment 9 Han Han 2016-02-26 04:11:35 EST
Created attachment 1130799 [details]
File: mountinfo
Comment 10 Han Han 2016-02-26 04:11:38 EST
Created attachment 1130800 [details]
File: namespaces
Comment 11 Han Han 2016-02-26 04:11:41 EST
Created attachment 1130801 [details]
File: open_fds
Comment 12 Han Han 2016-02-26 04:11:44 EST
Created attachment 1130802 [details]
File: proc_pid_status
Comment 13 Han Han 2016-02-26 04:11:47 EST
Created attachment 1130803 [details]
File: var_log_messages
Comment 14 Jan Kurik 2016-07-26 00:41:18 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.
Comment 15 lennart_reuther 2016-10-02 11:48:48 EDT
Similar problem has been detected:

Anaconda, preview of keyboard layout on a Lenovo W530 thinkpad

reporter:       libreport-2.7.2
backtrace_rating: 3
cmdline:        gkbd-keyboard-display -l 'us\talt-intl'
crash_function: xkl_engine_constructor
executable:     /usr/bin/gkbd-keyboard-display
global_pid:     2030
kernel:         4.8.0-0.rc2.git3.1.fc25.x86_64
package:        libgnomekbd-3.6.0-9.fc24
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         gkbd-keyboard-display killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 16 Fedora End Of Life 2017-11-16 09:55:34 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2017-12-12 06:03:44 EST
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.